Simplified autogen.sh, thanks to @smcv for the tip
diff --git a/autogen.sh b/autogen.sh
index daf160d..dffcf41 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
echo "Generating build information using autoconf"
echo "This may take a while ..."
@@ -10,11 +12,7 @@ cd "$srcdir"
# Regenerate configuration files
cat acinclude/* >aclocal.m4
-if test "$AUTOCONF"x = x; then
- AUTOCONF=autoconf
-fi
-
-$AUTOCONF || exit 1
+"${AUTOCONF:-autoconf}"
rm aclocal.m4
rm -rf autom4te.cache